pac(1)

NAME
pac - Perl Auto Connector

SYNOPSIS
pac [options]

DESCRIPTION
pac is a (simple?) GUI to manage/launch connections to remote machines with:
Simple GUI to manage/launch connections to remote machines.
Scripting possibilities, 'ala' SecureCRT
Configurable [Pre|Post]-connection local commands execution.
Configurable list of macros (commands) to execute locally when connected or to send to connected client.
Configurable list of conditional executions on connected machine via 'Expect':
    . forget about SSH certificates
    . chain multiple ssh connections
    . automate tunnels creation
    . with line-send delay capabilities!! etc...
KeePassX integration!
Ability to connect to machines through a Proxy server!
CLUSTER connections.
TABBED/WINDOWED terminals
Wake On LAN capabilities
Local and Global variables, eg.: write down a password once, use it ANY where, centralizing its modification for faster changes! use them for:
    . password vault
    . reusing connection strings
Seamless Gnome/Gtk integration.
Tray icon for quick launching connections. Screenshots and statistics also available!
DEB, RPM and .TAR.GZ packages available
Written in Perl/Gtk (wait, *is* that a feature? Well, it is for me! ;=)
It is FREE (as in freedom)!! and licensed under GNU GPLv3.

OPTIONS

--help
     this help

--no-backup
     do no create alternative PAC config files as a backup (faster shutdown)

--start-shell
     start a local terminal

--start-uuid=<uuid>[:<cluster]
     start connection in cluster (if given)

--edit-uuid=<uuid>
     edit connection

--start-script=<script>
     start given script

--password=<pwd>
     automatically logon with given password without prompting user

--dump-uuid=<uuid>
     dump given UUID's data

--scripts
     open scripts window

--preferences
     open global preferences dialog

--quick-conn
     open the Quick Connect dialog on startup

--list-uuids
     list existing connections/groups and their UUIDs

--no-splash
     no splash screen on startup

--iconified
     make PAC go to tray once started

--readonly
     start in read only mode (no config changes allowed)

FILES
~/.config/pac/
    Per user configuration directory.

ENVIRONMENT
Uses next Gnome's configuration paths:

    /system/http_proxy/host or /system/proxy/http/host
     - Takes this proxy path

    /system/http_proxy/port or /system/proxy/http/port
     - Takes this proxy port

    /system/http_proxy/authentication_user or /system/proxy/http/host/authentication-user
     - Takes this proxy user name

    /system/http_proxy/authentication_password or /system/proxy/http/host/authentication-password
     - Takes this proxy password

BUGS
Well... I thinks that by this version, there should not be *many* bugs but... I'm sure you 'will' find some! When that happens, please, let me know :)

AUTHOR
David Torrejón Vaquerizas <david.tv@gmail.com> Visit: http://sourceforge.net/projects/pacmanager/ https://sites.google.com/site/davidtv/

SEE ALSO
ssh(1), sftp(1), telnet(1) rdesktop(1) vncviewer(1) remote-tty(1) cu(1)